Projects

Download the specificationarrow-up-right

Retrieve a project by ID

get
chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstring · uuidRequired

Project identifier

Responses
chevron-right
200

The project

application/json

Project in KPN Things that serves as a container for devices, destinations, flows and metadata

idstring · uuidRead-onlyRequired

The entity ID

Example: 99086060-b099-416e-a321-53220f4edf99
clientIdstring · uuidRequired

ID of owning client

Example: b7b953c9-b137-4d28-8d29-d266c720bc78
createdAtstring · date-timeRead-onlyOptional

The timestamp when the project is created in the system.

Example: 2024-12-31T23:00:00.000Z
createdBystringRead-onlyOptional

The user who created the project.

Example: principal/9ebbb3b1-1b6b-46e7-8d58-bb8fe7ae24d4
modifiedAtstring · date-timeRead-onlyOptional

The timestamp when the project is last modified in the system.

Example: 2024-12-31T23:00:00.000Z
modifiedBystringRead-onlyOptional

The user who last modified the project.

Example: principal/9ebbb3b1-1b6b-46e7-8d58-bb8fe7ae24d4
nameall ofRequired
string · min: 1Optional

Must not be empty or contain only whitespace.

Pattern: .*\S.*
and
stringOptional

The project name

Example: My first project
descriptionall ofOptional
string · min: 1Optional

Must not be empty or contain only whitespace.

Pattern: .*\S.*
and
stringOptional

A short description of the project

Example: Project to explore KPN Things
get
/projects/{projectId}
200

The project

No content

Retrieve projects, filtered by search term and / or client ID

get

Retrieve all projects that match the query parameters given. If a search parameter is provided, projects whose name or description (partially) match are returned.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
cursorstring · cursorOptional

String that encodes all necessary information to retrieve a page.

limitintegerOptional

Limit the number of results (per page).

Default: 50
sortstringOptional

Sorting fields separated by comma. Default order is Ascending (ASC), minus(-) should be used in front of field name for Descending (DESC) order.

Example: createdAt,-name
qstring · min: 1Optional

Include only projects whose name or description contain the search term. Matching is done case-insensitively.

clientIdstring · uuidOptional

Include only projects owned by the client matching clientId.

createdBeforestring · date-timeOptional

Include only projects created before the provided date and time. The date-time must be in ISO 8601 format.

createdSincestring · date-timeOptional

Include only projects created at or after the provided date and time. The date-time must be in ISO 8601 format.

modifiedBeforestring · date-timeOptional

Include only projects modified before the provided date and time. The date-time must be in ISO 8601 format.

modifiedSincestring · date-timeOptional

Include only projects modified at or after the provided date and time. The date-time must be in ISO 8601 format.

Responses
chevron-right
200

Page of filtered projects. Only projects that are accessible to the caller are returned.

application/json

A paginated list of projects

and
get
/projects

No content

Last updated

Was this helpful?